﻿var MaxCamNum = 16;
var MaxSndCam = 4;

var VideoMode_NTSC = 0;
var VideoMode_PAL = 1;

var VideoReso_Frame = 0;
var VideoReso_Field = 1;

//add KANAMORI 20100820 2000G
// 2011.11.4 Chg by K.Ozaw(Add 3000GB)
// 2014.10.06 Add 4000G
//2015/05/28 Add 6000G, 5000G
var HddCapacity = [6000, 5000, 4000, 3000, 2000, 1000, 500];
var HddMgn = 0.06;

var RecMgn = 1.07;
var RecHd =
[
  // NTSC
  [
    4, 2, 1, 0.5, 0.332, 0.1666
  ],
  // PAL
  [
    4.1666, 2.084, 1.042, 0.52, 0.348, 0.174
  ]
];

//100818 change 
//NTSC Frame 2.5ips NQとPAL Frame 2.1ips NQのレート 24→22
//NTSC Frame 1.25ips EXと PAL Frame 1ips　EXレート　4.9→７

var RecBitrate =
[
// NTSC
  [
// Frame
    [
      [480.0 * RecMgn + RecHd[0][0], 240.0 * RecMgn + RecHd[0][0], 192.0 * RecMgn + RecHd[0][0], 120.0 * RecMgn + RecHd[0][0], 72.0 * RecMgn + RecHd[0][0]],  // 30ips
      [240.0 * RecMgn + RecHd[0][1], 120.0 * RecMgn + RecHd[0][1], 96.0 * RecMgn + RecHd[0][1], 60.0 * RecMgn + RecHd[0][1], 36.0 * RecMgn + RecHd[0][1]],  // 15ips
      [120.0 * RecMgn + RecHd[0][2], 66.0 * RecMgn + RecHd[0][2], 54.0 * RecMgn + RecHd[0][2], 36.0 * RecMgn + RecHd[0][2], 21.0 * RecMgn + RecHd[0][2]],  // 7.5ips
      [60.0 * RecMgn + RecHd[0][3], 36.0 * RecMgn + RecHd[0][3], 30.0 * RecMgn + RecHd[0][3], 24.0 * RecMgn + RecHd[0][3], 12.0 * RecMgn + RecHd[0][3]],  // 3.75ips
      [40.0 * RecMgn + RecHd[0][4], 32.6 * RecMgn + RecHd[0][4], 28.0 * RecMgn + RecHd[0][4], 22.0 * RecMgn + RecHd[0][4], 9.9 * RecMgn + RecHd[0][4]],  // 2.5ips
      [20.0 * RecMgn + RecHd[0][5], 20.0 * RecMgn + RecHd[0][5], 16.0 * RecMgn + RecHd[0][5], 14.0 * RecMgn + RecHd[0][5], 7.0 * RecMgn + RecHd[0][5]]  // 1.25ips
    ],
// Field
    [
      [256.0 * RecMgn + RecHd[0][0], 128.0 * RecMgn + RecHd[0][0], 96.0 * RecMgn + RecHd[0][0], 64.0 * RecMgn + RecHd[0][0], 40.0 * RecMgn + RecHd[0][0]],  // 30ips
      [128.0 * RecMgn + RecHd[0][1], 80.0 * RecMgn + RecHd[0][1], 64.0 * RecMgn + RecHd[0][1], 40.0 * RecMgn + RecHd[0][1], 24.0 * RecMgn + RecHd[0][1]],  // 15ips
      [64.0 * RecMgn + RecHd[0][2], 44.0 * RecMgn + RecHd[0][2], 36.0 * RecMgn + RecHd[0][2], 24.0 * RecMgn + RecHd[0][2], 14.0 * RecMgn + RecHd[0][2]],  // 7.5ips
      [32.0 * RecMgn + RecHd[0][3], 24.0 * RecMgn + RecHd[0][3], 20.0 * RecMgn + RecHd[0][3], 16.0 * RecMgn + RecHd[0][3], 8.0 * RecMgn + RecHd[0][3]],  // 3.75ips
      [21.3 * RecMgn + RecHd[0][4], 18.6 * RecMgn + RecHd[0][4], 16.0 * RecMgn + RecHd[0][4], 13.3 * RecMgn + RecHd[0][4], 6.0 * RecMgn + RecHd[0][4]],  // 2.5ips
      [10.6 * RecMgn + RecHd[0][5], 10.6 * RecMgn + RecHd[0][5], 9.3 * RecMgn + RecHd[0][5], 8.0 * RecMgn + RecHd[0][5], 4.0 * RecMgn + RecHd[0][5]]  // 1.25ips
    ]
  ],
// PAL
  [
// Frame
    [
      [480.0 * RecMgn + RecHd[1][0], 240.0 * RecMgn + RecHd[1][0], 192.0 * RecMgn + RecHd[1][0], 120.0 * RecMgn + RecHd[1][0], 72.0 * RecMgn + RecHd[1][0]],  // 25ips
      [240.0 * RecMgn + RecHd[1][1], 120.0 * RecMgn + RecHd[1][1], 96.0 * RecMgn + RecHd[1][1], 60.0 * RecMgn + RecHd[1][1], 36.0 * RecMgn + RecHd[1][1]],  // 12.5ips
      [120.0 * RecMgn + RecHd[1][2], 66.0 * RecMgn + RecHd[1][2], 54.0 * RecMgn + RecHd[1][2], 36.0 * RecMgn + RecHd[1][2], 21.0 * RecMgn + RecHd[1][2]],  // 6.25ips
      [60.0 * RecMgn + RecHd[1][3], 36.0 * RecMgn + RecHd[1][3], 30.0 * RecMgn + RecHd[1][3], 24.0 * RecMgn + RecHd[1][3], 12.0 * RecMgn + RecHd[1][3]],  // 3.125.75ips
      [40.0 * RecMgn + RecHd[1][4], 32.0 * RecMgn + RecHd[1][4], 28.0 * RecMgn + RecHd[1][4], 22.0 * RecMgn + RecHd[1][4], 9.9 * RecMgn + RecHd[1][4]],  // 2.1ips
      [20.0 * RecMgn + RecHd[1][5], 20.0 * RecMgn + RecHd[1][5], 16.0 * RecMgn + RecHd[1][5], 14.0 * RecMgn + RecHd[1][5], 7.0 * RecMgn + RecHd[1][5]]  // 1ips
    ],
    [  // Filed
      [256.0 * RecMgn + RecHd[1][0], 128.0 * RecMgn + RecHd[1][0], 96.0 * RecMgn + RecHd[1][0], 64.0 * RecMgn + RecHd[1][0], 40.0 * RecMgn + RecHd[1][0]],  // 25ips
      [128.0 * RecMgn + RecHd[1][1], 80.0 * RecMgn + RecHd[1][1], 64.0 * RecMgn + RecHd[1][1], 40.0 * RecMgn + RecHd[1][1], 24.0 * RecMgn + RecHd[1][1]],  // 12.5ips
      [64.0 * RecMgn + RecHd[1][2], 44.0 * RecMgn + RecHd[1][2], 36.0 * RecMgn + RecHd[1][2], 24.0 * RecMgn + RecHd[1][2], 14.0 * RecMgn + RecHd[1][2]],  // 6.25ips
      [32.0 * RecMgn + RecHd[1][3], 24.0 * RecMgn + RecHd[1][3], 20.0 * RecMgn + RecHd[1][3], 16.0 * RecMgn + RecHd[1][3], 8.0 * RecMgn + RecHd[1][3]],  // 3.125.75ips
      [21.3 * RecMgn + RecHd[1][4], 18.6 * RecMgn + RecHd[1][4], 16.0 * RecMgn + RecHd[1][4], 13.3 * RecMgn + RecHd[1][4], 6.0 * RecMgn + RecHd[1][4]],  // 2.1ips
      [10.6 * RecMgn + RecHd[1][5], 10.6 * RecMgn + RecHd[1][5], 9.3 * RecMgn + RecHd[1][5], 8.0 * RecMgn + RecHd[1][5], 4.0 * RecMgn + RecHd[1][5]]  // 1ips
    ]
  ]
];

//Audio　Datasize　(KB)
var RecSndBitrate = 6;

var HdrHddMax = 4;
var Unit1HddMax = 9;
var Unit2HddMax = 9;
var Unit3HddMax = 9;


function setVideoResoText()
{
  var mode = getRadioValue(form1.u_videoMode);

  if (VideoMode_NTSC == mode)
  {
    txt_s_input_p04_label01.innerHTML = s_input_p04_label01_1;
    txt_s_input_p04_label02.innerHTML = s_input_p04_label02_1;
  }
  else
  {
    txt_s_input_p04_label01.innerHTML = s_input_p04_label01_2;
    txt_s_input_p04_label02.innerHTML = s_input_p04_label02_2;
  }
}

function setCmpMode()
{
  /* 09/07/06 delete
  var recips = form1.u_recIps.value;

  if (2 < recips)
  {
    if (true == form1.u_cmpMode[0].checked)
    {
      form1.u_cmpMode[1].checked = true;
    }
    form1.u_cmpMode[0].disabled = true;
  }
  else
  {
    form1.u_cmpMode[0].disabled = false;
  }
  */
}

function change_videoMode()
{
  var mode = getRadioValue(form1.u_videoMode);

  createRecIpsSelection(mode);
  setVideoResoText();

  CalcSpec();
}

function change_recIps()
{
  setVideoReso();
  setCmpMode();
  CalcSpec();
}

function change_videoMode()
{
  var mode = getRadioValue(form1.u_videoMode);

  createRecIpsSelection(mode);
  setVideoResoText();
  setVideoReso();
  CalcSpec();
}

function change_videoReso()
{
  CalcSpec();
}

function change_cmpMode()
{
  CalcSpec();
}

function change_recSndCamNum()
{
  CalcSpec();
}

function change_recTime()
{
  if(form1.u_recTime_2.value.match(/[^0-9]+/)) 
  {
    form1.u_recTime_2.value = "10"; 
  }
  if(form1.u_recTime_3.value.match(/[^0-9]+/)) 
  {
    form1.u_recTime_3.value = "10"; 
  }

  CalcSpec();
}

function change_recTerm()
{
  if(form1.u_recTerm.value.match(/[^0-9]+/)) 
  {
    form1.u_recTerm.value = "30"; 
  }
  CalcSpec();
}

function change_hddProtect()
{
  CalcSpec();
}

function change_hddCapa()
{
  CalcSpec();
}

function CalcSpec() {
    // data size(1cam, 1s, byte)
    var videomode, videoreso, recips, cmpmode, size_s;
    videomode = getRadioValue(form1.u_videoMode);
    videoreso = getRadioValue(form1.u_videoReso);
    recips = form1.u_recIps.value;
    cmpmode = getRadioValue(form1.u_cmpMode);
    size_s = RecBitrate[videomode][videoreso][recips][cmpmode];

    //alert("size_s=" + size_s);

  // RAID BOARD
  if (0 == form1.u_hddProtect.value) {
    txt_s_output_p02_label03.innerHTML = sModel;
  } else {
    txt_s_output_p02_label03.innerHTML = sModel + '<BR>+ ' + hdr_model_RAID;
  }

    // data size(snd, byte)
    var sndcamnum, ssize_s;       //音声
    sndcamnum = form1.u_recSndCamNum.value;
    ssize_s = sndcamnum * RecSndBitrate;

    //alert("ssize_s=" + ssize_s);

    // data size(all-cam, 1day, gb)
    var camnum = form1.u_camNum.value;

    // rec second(1day)
    var sec_d;
    if (0 == getRadioValue(form1.u_recPg)) {
        // schedule
        sec_d = 60 * 60 * form1.u_recTime_1.value;
    }
    else {
        // event
        //sec_d = form1.u_recTime_2.value * form1.u_recTime_3.value * 24;
        sec_d = form1.u_recTime_2.value * form1.u_recTime_3.value;
    }


    //alert("sec_d=" + sec_d);

    // 2010 06 27 Fix Gへの丸め処理から、下3桁を表示する処理へ変更 kanamor
    var allsize_d = (size_s * camnum + ssize_s) * sec_d / (1 - HddMgn) / 1000 / 1000;
    if (1 == getRadioValue(form1.u_recPg)) {
        allsize_d = allsize_d * 24;

        //アラーム録画用
    }
    // alert("allsize_d=" + allsize_d);
    //allsize_d = allsize_d.toFixed(3);
    //alert("allsize_d=" + allsize_d);

    // error check
    if (sec_d > 24 * 60 * 60) {
        alert(msg_0001);
        allsize_d = 0;
    }
    if (ssize_s > MaxBitrate_all[videomode]) {
        alert(msg_0002);
        allsize_d = 0;
    }


    var recterm_d = form1.u_recTerm.value;
    // 2010 06 27 Fix Gへの丸め処理から、下3桁を表示する処理へ変更 kanamori 
    // 2010 07 26 1G以上の時は小数点を繰り上げ
    // 2010 09 07 全て少数点以下3桁表示
    var allsize_term = allsize_d * recterm_d;

    allsize_term = Math.ceil(allsize_term * 1000) / 1000;



    if (0 == allsize_d) {
        form1.u_recCapa_day.value = "-";
        form1.u_recCapa_term.value = "-";
        form1.u_recCapa_all.value = "-";
    }
    else {
        form1.u_recCapa_day.value = Math.ceil(allsize_d * 1000) / 1000;
        form1.u_recCapa_term.value = recterm_d;
        form1.u_recCapa_all.value = allsize_term;
    }

    var hddcapa = form1.u_hddCapa.value;
    var total_hdd_num = Math.ceil(form1.u_recCapa_all.value / hddcapa);

    var all_hdd = 0;


    if ((ConvHdd_PhysicalToRaid(HdrHddMax) + ConvHdd_PhysicalToRaid(Unit1HddMax) +
    ConvHdd_PhysicalToRaid(Unit2HddMax) + ConvHdd_PhysicalToRaid(Unit3HddMax)) < total_hdd_num) {
        alert(msg_0003);
        allsize_term = 0;
        hddcapa = 0;
        total_hdd_num = 0;
    }

    var unitnum = 0;

    // hdr
    var hdr_hdd_pnum = HdrHddMax;
    var hdr_hdd_rnum = ConvHdd_PhysicalToRaid(hdr_hdd_pnum);
    var hdr_hdd_use = hdr_hdd_rnum * hddcapa;
    if (hdr_hdd_rnum >= total_hdd_num) {
        hdr_hdd_rnum = total_hdd_num;
        hdr_hdd_use = allsize_term;
    }
    if (0 >= hdr_hdd_use) {
        txt_s_output_p02_label03.style.color = "#C8C8C8";
        form1.u_q_Hdr_hdd_num.style.background = "#C8C8C8";

        form1.u_q_Hdr_hdd_num.value = "-";
        txt_q_Hdr_hdd_use.innerHTML = "-";
        txt_q_Hdr_hdd_capa.innerHTML = "-";
    }
    else {
        txt_s_output_p02_label03.style.color = "#000000";
        form1.u_q_Hdr_hdd_num.style.background = "#FFFF80";

        form1.u_q_Hdr_hdd_num.value = ConvHdd_RaidToPhysical(hdr_hdd_rnum);
        txt_q_Hdr_hdd_use.innerHTML = Math.ceil(hdr_hdd_use);
        txt_q_Hdr_hdd_capa.innerHTML = ConvHdd_PhysicalToRaid(form1.u_q_Hdr_hdd_num.value) * hddcapa;
        all_hdd += Number(form1.u_q_Hdr_hdd_num.value);
    }



    // unit1
    total_hdd_num = total_hdd_num - hdr_hdd_rnum;
    allsize_term = allsize_term - hdr_hdd_use;
    var unit1_hdd_pnum = Unit1HddMax;
    var unit1_hdd_rnum = ConvHdd_PhysicalToRaid(unit1_hdd_pnum);
    var unit1_hdd_use = unit1_hdd_rnum * hddcapa;
    if (unit1_hdd_rnum >= total_hdd_num) {
        unit1_hdd_rnum = total_hdd_num;
        unit1_hdd_use = allsize_term;
    }
    if (0 >= unit1_hdd_use) {
        txt_s_output_p02_label04.style.color = "#C8C8C8";
        form1.u_q_Unit1_hdd_num.style.background = "#C8C8C8";

        form1.u_q_Unit1_hdd_num.value = "-";
        txt_q_Unit1_hdd_use.innerHTML = "-";
        txt_q_Unit1_hdd_capa.innerHTML = "-";
    }
    else {
        txt_s_output_p02_label04.style.color = "#000000";
        form1.u_q_Unit1_hdd_num.style.background = "#FFFF80";

        form1.u_q_Unit1_hdd_num.value = ConvHdd_RaidToPhysical(unit1_hdd_rnum);
        txt_q_Unit1_hdd_use.innerHTML = Math.ceil(unit1_hdd_use);
        txt_q_Unit1_hdd_capa.innerHTML = ConvHdd_PhysicalToRaid(form1.u_q_Unit1_hdd_num.value) * hddcapa;
        all_hdd += Number(form1.u_q_Unit1_hdd_num.value);
        unitnum++;
    }

    // unit2
    total_hdd_num = total_hdd_num - unit1_hdd_rnum;
    allsize_term = allsize_term - unit1_hdd_use;
    var unit2_hdd_pnum = Unit2HddMax;
    var unit2_hdd_rnum = ConvHdd_PhysicalToRaid(unit2_hdd_pnum);
    var unit2_hdd_use = unit2_hdd_rnum * hddcapa;
    if (unit2_hdd_rnum >= total_hdd_num) {
        unit2_hdd_rnum = total_hdd_num;
        unit2_hdd_use = allsize_term;
    }
    if (0 >= unit2_hdd_use) {
        txt_s_output_p02_label05.style.color = "#C8C8C8";
        form1.u_q_Unit2_hdd_num.style.background = "#C8C8C8";

        form1.u_q_Unit2_hdd_num.value = "-";
        txt_q_Unit2_hdd_use.innerHTML = "-";
        txt_q_Unit2_hdd_capa.innerHTML = "-";
    }
    else {
        txt_s_output_p02_label05.style.color = "#000000";
        form1.u_q_Unit2_hdd_num.style.background = "#FFFF80";

        form1.u_q_Unit2_hdd_num.value = ConvHdd_RaidToPhysical(unit2_hdd_rnum);
        txt_q_Unit2_hdd_use.innerHTML = Math.ceil(unit2_hdd_use);
        txt_q_Unit2_hdd_capa.innerHTML = ConvHdd_PhysicalToRaid(form1.u_q_Unit2_hdd_num.value) * hddcapa;
        all_hdd += Number(form1.u_q_Unit2_hdd_num.value);
        unitnum++;
    }

    // unit3
    total_hdd_num = total_hdd_num - unit2_hdd_rnum;
    allsize_term = allsize_term - unit2_hdd_use;
    var unit3_hdd_pnum = Unit3HddMax;
    var unit3_hdd_rnum = ConvHdd_PhysicalToRaid(unit3_hdd_pnum);
    var unit3_hdd_use = unit3_hdd_rnum * hddcapa;
    if (unit3_hdd_rnum >= total_hdd_num) {
        unit3_hdd_rnum = total_hdd_num;
        unit3_hdd_use = allsize_term;
    }
    if (0 >= unit3_hdd_use) {
        txt_s_output_p02_label06.style.color = "#C8C8C8";
        form1.u_q_Unit3_hdd_num.style.background = "#C8C8C8";

        form1.u_q_Unit3_hdd_num.value = "-";
        txt_q_Unit3_hdd_use.innerHTML = "-";
        txt_q_Unit3_hdd_capa.innerHTML = "-";
    }
    else {
        txt_s_output_p02_label06.style.color = "#000000";
        form1.u_q_Unit3_hdd_num.style.background = "#FFFF80";

        form1.u_q_Unit3_hdd_num.value = ConvHdd_RaidToPhysical(unit3_hdd_rnum);
        txt_q_Unit3_hdd_use.innerHTML = Math.ceil(unit3_hdd_use);
        txt_q_Unit3_hdd_capa.innerHTML = ConvHdd_PhysicalToRaid(form1.u_q_Unit3_hdd_num.value) * hddcapa;
        all_hdd += Number(form1.u_q_Unit3_hdd_num.value);
        unitnum++;
    }


    form1.u_q_Total_hdd_num.value = all_hdd;

    if (all_hdd == 0) {
        txt_s_output_p02_label10.style.color = "#C8C8C8";
        form1.u_q_Total_hdd_num.style.background = "#C8C8C8";
        form1.u_q_Total_hdd_num.value = "-";
    }
    else {
        txt_s_output_p02_label10.style.color = "#000000";
        form1.u_q_Total_hdd_num.style.background = "#FFFF80";
        form1.u_q_Total_hdd_num.value = all_hdd;
    }

    //Add KANAMORI Canister 100820 start
    var hdr_hdd_num = 0;
    hdr_hdd_num = Number(form1.u_q_Hdr_hdd_num.value);
    //alert("hdr_hdd_num=" + hdr_hdd_num);
    if (all_hdd == 0) { hdr_hdd_num = 0; }

    if (unitnum == 0) {

        if (hdr_hdd_num < 2) {
            txt_s_output_Canister.style.color = "#C8C8C8";
            form1.u_q_Total_canister_num.style.background = "#C8C8C8";
            form1.u_q_Total_canister_num.value = "-";
        }
        else {
            txt_s_output_Canister.style.color = "#000000";
            form1.u_q_Total_canister_num.style.background = "#FFFF80";
            form1.u_q_Total_canister_num.value = hdr_hdd_num - 1;
        }
    }
    else {
        var caninum = 0;
        caninum = (unitnum * 9) + 1;
        //alert("caninum=" + caninum + "\n" + "all_hdd=" + all_hdd);
        if (caninum >= all_hdd) {
            txt_s_output_Canister.style.color = "#C8C8C8";
            form1.u_q_Total_canister_num.style.background = "#C8C8C8";
            form1.u_q_Total_canister_num.value = "-";
        }
        else {
            txt_s_output_Canister.style.color = "#000000";
            form1.u_q_Total_canister_num.style.background = "#FFFF80";
            form1.u_q_Total_canister_num.value = all_hdd - caninum;
        }


    }

}

function print_calcResult()
{
  var now = new Date();
  var DOC = "";

  DOC += '<HTML><HEAD><TITLE>' + s_print_title + '</TITLE></HEAD>';
  DOC += '<BODY bgcolor="#FFFFFF">';

  DOC += '<table border="1" cellpadding="0" cellspacing="0" >';
  DOC += '<tr><td>' + s_print_param_01 + '</td>';
  DOC += '<td>' + now.toLocaleString() + '</td></tr>';
  DOC += '<tr><td>' + s_print_param_02 + '</td>';
  DOC += '<td>' + app_name + '</td></tr>';
  DOC += '<tr><td>' + s_print_param_03 + '</td>';
  DOC += '<td>' + app_ver + '</td></tr>';

  DOC += '<tr><td>' + txt_s_input_param_01.innerText + '</td>';
  DOC += '<td>' + form1.u_camNum.value + txt_s_input_p01_label01.innerText + '</td></tr>';
  DOC += '<tr><td>' + s_input_param_03 + '</td>';
  if (0 == form1.u_recIps[0].value)
  {
    DOC += '<td>' + RecIps[getRadioValue(form1.u_videoMode)][form1.u_recIps.value] +
             txt_s_input_p03_label01.innerText + '</td></tr>';
  }
  else
  {
    DOC += '<td>' + RecIps[getRadioValue(form1.u_videoMode)][form1.u_recIps.value-1] +
             txt_s_input_p03_label01.innerText + '</td></tr>';
  }
  DOC += '<tr><td>' + txt_s_input_param_04.innerText + '</td>';
  if (0 == getRadioValue(form1.u_videoReso))
  {
    DOC += '<td>' + txt_s_input_p04_label01.innerText + '</td></tr>';
  }
  else
  {
    DOC += '<td>' + txt_s_input_p04_label02.innerText + '</td></tr>';
  }
  DOC += '<tr><td>' + txt_s_input_param_05.innerText + '</td>';
  switch (getRadioValue(form1.u_cmpMode))
  {
    case 0 :
      DOC += '<td>' + txt_s_input_p05_label01.innerText + '</td></tr>';
      break;
    case 1 :
      DOC += '<td>' + txt_s_input_p05_label02.innerText + '</td></tr>';
      break;
    case 2 :
      DOC += '<td>' + txt_s_input_p05_label03.innerText + '</td></tr>';
      break;
    case 3 :
      DOC += '<td>' + txt_s_input_p05_label04.innerText + '</td></tr>';
      break;
    case 4 :
      DOC += '<td>' + txt_s_input_p05_label05.innerText + '</td></tr>';
      break;
  }
  DOC += '<tr><td>' + txt_s_input_param_06.innerText + '</td>';
  DOC += '<td>' + form1.u_recSndCamNum.value + txt_s_input_p06_label01.innerText + '</td></tr>';
  DOC += '<tr><td>' + txt_s_input_param_07.innerText + '</td>';
  if (0 == getRadioValue(form1.u_recPg))
  {
    DOC += '<td>' + txt_s_input_p07_label01.innerText + ' ' + form1.u_recTime_1.value +
           txt_s_input_p07_label02.innerText + '</td></tr>';
  }
  else
  {
    DOC += '<td>' + txt_s_input_p07_label03.innerText + ' ' + form1.u_recTime_2.value +
           txt_s_input_p07_label04.innerText + form1.u_recTime_3.value +
           txt_s_input_p07_label05.innerText + '</td></tr>';
  }
  DOC += '<tr><td>' + txt_s_input_param_08.innerText + '</td>';
  DOC += '<td>' + form1.u_recTerm.value + txt_s_input_p08_label01.innerText + '</td></tr>';
  DOC += '<tr><td>' + txt_s_input_param_09.innerText + '</td>';
  DOC += '<td>' + txt_s_input_p09_label01.innerText + ':' + s_input_p09_List[form1.u_hddProtect.value] + '<br>' + 
         txt_s_input_p09_label02.innerText + ':' + form1.u_hddCapa.value + txt_s_input_p09_label03.innerText + '</td></tr>';
  DOC += '<tr><td>' + txt_s_output_param_01.innerText + '</td>';
  DOC += '<td>' + form1.u_recCapa_day.value + txt_s_output_p01_label01.innerText + 
         form1.u_recCapa_term.value + txt_s_output_p01_label02.innerText +
         form1.u_recCapa_all.value + txt_s_output_p01_label03.innerText + '</td></tr>';

  DOC += '<tr><td>' + txt_s_output_param_02.innerText + '</td>';
  DOC += '<td>';

  DOC += '<table>';
  DOC += '<tr><td></td>';
  DOC += '<td>' + txt_s_output_p02_label01.innerText + '</td>';
  DOC += '<td>' + txt_s_output_p02_label02.innerText + '</td></tr>';
  DOC += '<tr><td>' + txt_s_output_p02_label03.innerText + '</td>';
  DOC += '<td>' + form1.u_q_Hdr_hdd_num.value + '</td>';
  DOC += '<td>' + txt_s_output_p02_label07_1.innerText + txt_q_Hdr_hdd_use.innerText +
         txt_s_output_p02_label08_1.innerText + txt_q_Hdr_hdd_capa.innerText +
         txt_s_output_p02_label09_1.innerText + '</td></tr>';
  DOC += '<tr><td>' + txt_s_output_p02_label04.innerText + '</td>';
  DOC += '<td>' + form1.u_q_Unit1_hdd_num.value + '</td>';
  DOC += '<td>' + txt_s_output_p02_label07_1.innerText + txt_q_Unit1_hdd_use.innerText +
         txt_s_output_p02_label08_1.innerText + txt_q_Unit1_hdd_capa.innerText +
         txt_s_output_p02_label09_1.innerText + '</td></tr>';
  DOC += '<tr><td>' + txt_s_output_p02_label05.innerText + '</td>';
  DOC += '<td>' + form1.u_q_Unit2_hdd_num.value + '</td>';
  DOC += '<td>' + txt_s_output_p02_label07_1.innerText + txt_q_Unit2_hdd_use.innerText +
         txt_s_output_p02_label08_1.innerText + txt_q_Unit2_hdd_capa.innerText +
         txt_s_output_p02_label09_1.innerText + '</td></tr>';
  DOC += '<tr><td>' + txt_s_output_p02_label06.innerText + '</td>';
  DOC += '<td>' + form1.u_q_Unit3_hdd_num.value + '</td>';
  DOC += '<td>' + txt_s_output_p02_label07_1.innerText + txt_q_Unit3_hdd_use.innerText +
         txt_s_output_p02_label08_1.innerText + txt_q_Unit3_hdd_capa.innerText +
         txt_s_output_p02_label09_1.innerText + '</td></tr>';
  DOC += '<tr><td>' + txt_s_output_p02_label10.innerText + '</td>';
  DOC += '<td>' + form1.u_q_Total_hdd_num.value + '</td></tr>';

  DOC += '<tr><td>' + strcanisterTypeG + '</td>';
  DOC += '<td>' + form1.u_q_Total_canister_num.value + '</td></tr>';

  DOC += '</table>';

  DOC += '</td></tr>';
  DOC += '</table>';

  DOC += '</BODY></HTML>';

  newWin=window.open("","new1","toolbar=0,location=0,directories=0,status=0,menubar=1,scrollbars=1,resizable=1,left=100,top=50,width=600,height=500");

  newWin.document.open();
  newWin.document.write(DOC);
  newWin.document.close();
}

function Form_Load() {
  createCamNumSelection(MaxCamNum);
  createRecIpsSelection(getRadioValue(form1.u_videoMode));
  createRecSndCamNumSelection(MaxSndCam, form1.u_camNum.value);
  createHddCapacitySelection(HddCapacity);
  createHourOfDaySelection(form1.elements['u_recTime_1']);
  createRaidSelection();
  setVideoResoText();
  setVideoReso();
  setCmpMode();

  CalcSpec();
}
